<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/BluetoothImplementations/BlueZ/src/BlueZHostController.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_27114e8c504df5f4609f20f7d28eb6fc.html">BluetoothImplementations</a></li><li class="navelem"><a class="el" href="dir_734f87f436384b5f4d3ce6cedeff05c0.html">BlueZ</a></li><li class="navelem"><a class="el" href="dir_1298b2e4ec6fcaa0bfd6e425cd36abba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">BlueZHostController.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_blue_z_host_controller_8h_source.html">BlueZ/BlueZHostController.h</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_constants_8h_source.html">BlueZ/BlueZConstants.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_blue_z_device_manager_8h_source.html">BlueZ/BlueZDeviceManager.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for BlueZHostController.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_blue_z_host_controller_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_blue_z_host_controller_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_blue_z_host_controller_8cpp" id="_2workplace_2avs-device-sdk_2_bluetooth_implementations_2_blue_z_2src_2_blue_z_host_controller_8cpp">
<area shape="rect" id="node2" href="_blue_z_host_controller_8h.html" title="BlueZ/BlueZHostController.h" alt="" coords="2525,179,2715,204"/>
<area shape="rect" id="node25" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="864,452,1040,491"/>
<area shape="rect" id="node38" href="_blue_z_constants_8h.html" title="BlueZ/BlueZConstants.h" alt="" coords="2657,105,2823,131"/>
<area shape="rect" id="node39" href="_blue_z_device_manager_8h.html" title="BlueZ/BlueZDeviceManager.h" alt="" coords="2867,105,3066,131"/>
<area shape="rect" id="node7" href="_bluetooth_host_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothHostController\lInterface.h" alt="" coords="2387,352,2613,404"/>
<area shape="rect" id="node9" href="_mac_address_string_8h.html" title="AVSCommon/Utils/MacAddress\lString.h" alt="" coords="2556,632,2764,671"/>
<area shape="rect" id="node10" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="2136,452,2331,491"/>
<area shape="rect" id="node18" href="_blue_z_utils_8h.html" title="BlueZ/BlueZUtils.h" alt="" coords="3783,459,3915,484"/>
<area shape="rect" id="node23" href="_d_bus_properties_proxy_8h.html" title="BlueZ/DBusPropertiesProxy.h" alt="" coords="3227,265,3424,291"/>
<area shape="rect" id="node17" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="1755,539,1949,577"/>
<area shape="rect" id="node19" href="_managed_g_variant_8h.html" title="BlueZ/ManagedGVariant.h" alt="" coords="3759,639,3937,664"/>
<area shape="rect" id="node20" href="_managed_g_error_8h.html" title="BlueZ/ManagedGError.h" alt="" coords="4012,639,4178,664"/>
<area shape="rect" id="node21" href="_g_variant_tuple_reader_8h.html" title="BlueZ/GVariantTupleReader.h" alt="" coords="3979,545,4178,571"/>
<area shape="rect" id="node22" href="_g_variant_map_reader_8h.html" title="BlueZ/GVariantMapReader.h" alt="" coords="3764,545,3956,571"/>
<area shape="rect" id="node24" href="_d_bus_proxy_8h.html" title="DBusProxy.h" alt="" coords="3714,365,3812,391"/>
<area shape="rect" id="node28" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="701,539,915,577"/>
<area shape="rect" id="node32" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="349,632,525,671"/>
<area shape="rect" id="node33" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="135,539,311,577"/>
<area shape="rect" id="node36" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="421,539,618,577"/>
<area shape="rect" id="node37" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1453,539,1629,577"/>
<area shape="rect" id="node34" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="5,632,181,671"/>
<area shape="rect" id="node42" href="_bluetooth_device_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceInterface.h" alt="" coords="2895,539,3140,577"/>
<area shape="rect" id="node43" href="_a2_d_p_source_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSource\lInterface.h" alt="" coords="3214,625,3431,677"/>
<area shape="rect" id="node45" href="_bluetooth_device_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceManager\lInterface.h" alt="" coords="2884,252,3119,304"/>
<area shape="rect" id="node46" href="_bluetooth_event_bus_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEventBus.h" alt="" coords="2891,359,3082,397"/>
<area shape="rect" id="node47" href="_bluetooth_events_8h.html" title="AVSCommon/Utils/Bluetooth\l/BluetoothEvents.h" alt="" coords="3215,452,3406,491"/>
<area shape="rect" id="node48" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="1242,539,1430,577"/>
<area shape="rect" id="node49" href="_m_p_r_i_s_player_8h.html" title="BlueZ/MPRISPlayer.h" alt="" coords="3617,265,3767,291"/>
<area shape="rect" id="node50" href="_pairing_agent_8h.html" title="BlueZ/PairingAgent.h" alt="" coords="4064,265,4211,291"/>
<area shape="rect" id="node44" href="_a2_d_p_sink_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/Services/A2DPSink\lInterface.h" alt="" coords="2889,625,3090,677"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1bluetooth_implementations"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations.html">alexaClientSDK::bluetoothImplementations</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html">alexaClientSDK::bluetoothImplementations::blueZ</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_blue_z_host_controller_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a414af1908e14111c65bc8b557de23f49"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a414af1908e14111c65bc8b557de23f49">alexaClientSDK::bluetoothImplementations::blueZ::truncate</a> (const std::unique_ptr&lt; MacAddressString &gt; &amp;mac, std::string *truncatedMac)</td></tr>
<tr class="separator:a414af1908e14111c65bc8b557de23f49"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad01f6f0e39c688b091431e24036559bd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ad01f6f0e39c688b091431e24036559bd">alexaClientSDK::bluetoothImplementations::blueZ::TAG</a> {&quot;BlueZHostController&quot;}</td></tr>
<tr class="memdesc:ad01f6f0e39c688b091431e24036559bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ad01f6f0e39c688b091431e24036559bd">More...</a><br /></td></tr>
<tr class="separator:ad01f6f0e39c688b091431e24036559bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c5db869392f19b0b1cb523022bc049b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a7c5db869392f19b0b1cb523022bc049b">alexaClientSDK::bluetoothImplementations::blueZ::ALIAS_PROPERTY</a> = &quot;Alias&quot;</td></tr>
<tr class="memdesc:a7c5db869392f19b0b1cb523022bc049b"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify name property.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a7c5db869392f19b0b1cb523022bc049b">More...</a><br /></td></tr>
<tr class="separator:a7c5db869392f19b0b1cb523022bc049b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e969032fc0a50d906c8a3ca65bd51d6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a1e969032fc0a50d906c8a3ca65bd51d6">alexaClientSDK::bluetoothImplementations::blueZ::DISCOVERABLE_PROPERTY</a> = &quot;Discoverable&quot;</td></tr>
<tr class="memdesc:a1e969032fc0a50d906c8a3ca65bd51d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify discovering property.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a1e969032fc0a50d906c8a3ca65bd51d6">More...</a><br /></td></tr>
<tr class="separator:a1e969032fc0a50d906c8a3ca65bd51d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8e60709888a438a8a11b4b3b7e55277"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ae8e60709888a438a8a11b4b3b7e55277">alexaClientSDK::bluetoothImplementations::blueZ::MAC_SIZE</a> = 17</td></tr>
<tr class="memdesc:ae8e60709888a438a8a11b4b3b7e55277"><td class="mdescLeft">&#160;</td><td class="mdescRight">The expected size of a MAC address in the format XX:XX:XX:XX:XX:XX.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ae8e60709888a438a8a11b4b3b7e55277">More...</a><br /></td></tr>
<tr class="separator:ae8e60709888a438a8a11b4b3b7e55277"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac86dd18c88e0a6aae43077798f22aa7d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ac86dd18c88e0a6aae43077798f22aa7d">alexaClientSDK::bluetoothImplementations::blueZ::SCANNING_PROPERTY</a> = &quot;Discovering&quot;</td></tr>
<tr class="memdesc:ac86dd18c88e0a6aae43077798f22aa7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify scanning property.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ac86dd18c88e0a6aae43077798f22aa7d">More...</a><br /></td></tr>
<tr class="separator:ac86dd18c88e0a6aae43077798f22aa7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8ccb561e390cf26af3caa6a4339f73f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ae8ccb561e390cf26af3caa6a4339f73f">alexaClientSDK::bluetoothImplementations::blueZ::START_SCAN</a> = &quot;StartDiscovery&quot;</td></tr>
<tr class="memdesc:ae8ccb561e390cf26af3caa6a4339f73f"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify adapter method to start scanning.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#ae8ccb561e390cf26af3caa6a4339f73f">More...</a><br /></td></tr>
<tr class="separator:ae8ccb561e390cf26af3caa6a4339f73f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e037c795f080d0ec1228231aafd1446"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a1e037c795f080d0ec1228231aafd1446">alexaClientSDK::bluetoothImplementations::blueZ::STOP_SCAN</a> = &quot;StopDiscovery&quot;</td></tr>
<tr class="memdesc:a1e037c795f080d0ec1228231aafd1446"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify adapter method to stop scanning.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a1e037c795f080d0ec1228231aafd1446">More...</a><br /></td></tr>
<tr class="separator:a1e037c795f080d0ec1228231aafd1446"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bc1734fb18f157f0aba5b26e3293fd6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a6bc1734fb18f157f0aba5b26e3293fd6">alexaClientSDK::bluetoothImplementations::blueZ::DEFAULT_NAME</a> = &quot;Device&quot;</td></tr>
<tr class="memdesc:a6bc1734fb18f157f0aba5b26e3293fd6"><td class="mdescLeft">&#160;</td><td class="mdescRight">A fallback device name.  <a href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a6bc1734fb18f157f0aba5b26e3293fd6">More...</a><br /></td></tr>
<tr class="separator:a6bc1734fb18f157f0aba5b26e3293fd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
